# Contributing

> Not that these instructions may be out of date. If you find any quirks that aren't described in this file, please make patches.

# What Is Jekyll

For those unfamiliar with how Jekyll works, check out [jekyll.rb] for all the
details, or read up on the basics of [front matter], [writing posts] and
[creating pages].

[jekyll.rb]: https://jekyllrb.com/
[front matter]: https://jekyllrb.com/docs/frontmatter/
[writing posts]: https://jekyllrb.com/docs/posts/
[creating pages]: https://jekyllrb.com/docs/pages/

# Using RVM to Manage Ruby

In order to not blow up your computer handling a system wide Ruby installation, it is
advised that you use [RVM](https://rvm.io/rvm/install).

Once you've got that installed and configured, get the latest version of Ruby with:

```bash
$ rvm install 2.6.5
```

Select that version and then create an isolated [gemset](https://rvm.io/gemsets/basics) with:

```bash
$ rvm use 2.6.5
$ rvm gemset create autonomic
$ rvm gemset use autonomic
```

# Install Dependencies

Then you can install your Ruby dependencies with:

```bash
$ gem install jekyll bundler
$ bundle install
```

# Serve Website

And serve the website locally with:

```bash
$ make devserver
```

# Editing Content

Edit content in the `.md` files under `src` and `src/_posts`.

# Next time

When you're hacking later on (or in a new shell), you'll need to run:

```bash
$ rvm use 2.6.5
$ rvm gemset use autonomic
```

And then you'll have access to the environment.
