---
layout: post
title: Our Founding Principles
description: Autonomic Co-operative And Our Core Values
image: 2016-09-23-thinkpad-keyboard.jpg
category: values
date: 2017-10-03
---

Autonomic is a worker co-operative. That means we are owned and run by our
workers and not by bosses or investors. We make our decisions collectively
using consensus. We are committed to a set of basic principles of working on
projects for social good. We reject destructive and unsustainable practices
within the tech industry.

As individuals, we have become increasingly concerned with the levels of
surveillance carried by nation states and corporations.  Everyone deserves the
fundamental right to privacy and safety online as well as in the physical
world. We seem to be moving ever closer to a total reliance upon centralised
services that mine our data for profit and are run in anything but our best
interest as users.

There is another way. The philosophy of [free software] allows for development
guided not by profit alone, but instead by the desires and inspiration of the
developers and users. Rather than subjugating users, it aims to empower users
by making software source code available for anyone to examine, modify or
share. We are committed to building the software commons by making as much of
our code available under free software licences as possible.

[free software]: https://fsfe.org/about/basics/freesoftware.en.html

As the internet becomes ubiquitous in our everyday lives, we must consider the
technologies that we utilise in order to communicate. We must all have the
ability to discuss and collaborate without being spied upon or our personal
information sold to the highest bidder. Autonomic are committed to providing a
platform for progressive projects and ideas that require accessible and modern
infrastructure to thrive and grow, whilst preserving our client's privacy and
protecting their data.

## Privacy

We seek to minimise data collection and retention wherever possible. If you
don't need it, don't collect it.

We will utilise and recommend encryption wherever possible, especially if it is
end to end encryption and has been well tested in real life scenarios by
non-technical users.

We believe that unrestricted and uncensored access to the internet is a human
right and we should all resist any attempts to censor the sharing of knowledge
and experiences that helps build greater cooperation between peoples around the
world.

## Transparency

We don't give you any crap. If something goes wrong, we'll let you know and
seek to communicate with our clients and the public in an effective manner.

We are committed to using free (as in freedom) software wherever possible and
seek to contribute back to the upstream projects we rely on where practical.

We engage in ethical processes to avoid working with any organisations that are
racist, homophobic, transphobic, misogynist or otherwise engage in oppressive
behaviour.

## Sustainability

As a worker co-operative, we aim to grow in a sustainable way. This means not
taking venture capital or risky loans. We build this the smart way, through
hard work. We are always learning and studying as we go.

We are committed to learning more about about the ecological impact of
technology. Whether that be the energy used by data centres or the components
in our computing devices.

We will engage with the wider co-operative movement and work together to grow
our sector and begin to build a new world in the ashes of the old.

<hr>

We hope this basic statement of principles has given you an idea of where we
are coming from and perhaps where we will be heading. The plan is to revisit
these ideas as we grow and access the impact of this project. We hope you will
be a part of this adventure.
